ExchangeMailbox (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.exchange.ExchangeMailbox interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.exchange
Interface ExchangeMailbox

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface ExchangeMailbox

extends LogicalElement

Represents the Exchange Mail Box

Naming Rules:
  0="parent,activeDirectoryGUID,legacyDN"
Persistable:
  true
Table Name:
  EXCHMBX
Display Name:
  mailboxDisplayName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getActiveDirectoryGUID()` The globally unique identifier (GUID) that links the mailbox to a user in Microsoft Active Directory Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Mailbox.MailboxGUID Example attribute content: 3ED95D00-AE97-4281-845E-AC0DCE7ADC1F
`java.lang.String` | `getLegacyDN()` The legacyDN of the mailbox and matches the legacyExchangeDN attribute of the user object in Microsoft Active Directory Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Mailbox.LegacyDN Example attribute content: /O=TIVOLI/OU=TIVOLI/CN=CONFIGURATION/CN=CONNECTIONS/CN=SMTP (TV045077)/CN={226AB9C5-3ED8-45B4-8C8C-25DF4660A805}
`java.lang.String` | `getMailboxDisplayName()` The display name of the mailbox and matches the displayName attribute in Microsoft Active Directory Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Mailbox.MailboxDisplayName Example attribute content: System Attendant
`ExchangeMailboxStore` | `getParent()`
`int` | `getStorageLimitInfo()`
`boolean` | `hasActiveDirectoryGUID()`
`boolean` | `hasLegacyDN()`
`boolean` | `hasMailboxDisplayName()`
`boolean` | `hasParent()`
`boolean` | `hasStorageLimitInfo()`
`void` | `setActiveDirectoryGUID(java.lang.String x)`
`void` | `setLegacyDN(java.lang.String x)`
`void` | `setMailboxDisplayName(java.lang.String x)`
`void` | `setParent(ExchangeMailboxStore x)`
`void` | `setStorageLimitInfo(int x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getStorageLimitInfo

    int getStorageLimitInfo()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStorageLimitInfo

    void setStorageLimitInfo(int x)

### hasStorageLimitInfo

    boolean hasStorageLimitInfo()

### getActiveDirectoryGUID

    java.lang.String getActiveDirectoryGUID()
                                            throws AttributeNotSetException

  The globally unique identifier (GUID) that links the mailbox to a user in Microsoft Active Directory Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Mailbox.MailboxGUID Example attribute content: 3ED95D00-AE97-4281-845E-AC0DCE7ADC1F

  Throws:
    `AttributeNotSetException`

### setActiveDirectoryGUID

    void setActiveDirectoryGUID(java.lang.String x)

### hasActiveDirectoryGUID

    boolean hasActiveDirectoryGUID()

### getMailboxDisplayName

    java.lang.String getMailboxDisplayName()
                                           throws AttributeNotSetException

  The display name of the mailbox and matches the displayName attribute in Microsoft Active Directory Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Mailbox.MailboxDisplayName Example attribute content: System Attendant

  Throws:
    `AttributeNotSetException`

### setMailboxDisplayName

    void setMailboxDisplayName(java.lang.String x)

### hasMailboxDisplayName

    boolean hasMailboxDisplayName()

### getLegacyDN

    java.lang.String getLegacyDN()
                                 throws AttributeNotSetException

  The legacyDN of the mailbox and matches the legacyExchangeDN attribute of the user object in Microsoft Active Directory Best Practice Content or origin of attribute content: From the WMI classes for Exchange Server 2003: Exchange_Mailbox.LegacyDN Example attribute content: /O=TIVOLI/OU=TIVOLI/CN=CONFIGURATION/CN=CONNECTIONS/CN=SMTP (TV045077)/CN={226AB9C5-3ED8-45B4-8C8C-25DF4660A805}

  Throws:
    `AttributeNotSetException`

### setLegacyDN

    void setLegacyDN(java.lang.String x)

### hasLegacyDN

    boolean hasLegacyDN()

### getParent

    ExchangeMailboxStore getParent()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(ExchangeMailboxStore x)

### hasParent

    boolean hasParent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD